package external

import (
	occe "git.loafle.net/overflow/commons-go/config/external"
	"git.loafle.net/overflow/external-go/grpc"
	"git.loafle.net/overflow/external-go/influxdb"
	"git.loafle.net/overflow/external-go/kafka"
	"git.loafle.net/overflow/external-go/redis"
)

func InitPackage(config *occe.External) {
	if nil == config {
		return
	}
	grpc.InitPackage(config.GRPC)
	redis.InitPackage(config.Redis)
	kafka.InitPackage(config.Kafka)
	influxdb.InitPackage(config.InfluxDB)
}

func StartPackage(config *occe.External) {
	if nil == config {
		return
	}
	grpc.StartPackage(config.GRPC)
	redis.StartPackage(config.Redis)
	kafka.StartPackage(config.Kafka)
	influxdb.StartPackage(config.InfluxDB)
}

func StopPackage(config *occe.External) {
	if nil == config {
		return
	}
	grpc.StopPackage(config.GRPC)
	redis.StopPackage(config.Redis)
	kafka.StopPackage(config.Kafka)
	influxdb.StopPackage(config.InfluxDB)
}

func DestroyPackage(config *occe.External) {
	if nil == config {
		return
	}
	grpc.DestroyPackage(config.GRPC)
	redis.DestroyPackage(config.Redis)
	kafka.DestroyPackage(config.Kafka)
	influxdb.DestroyPackage(config.InfluxDB)
}
